# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /Users/cbousseau/work/recipes/aggregate/ipython-feedstock/recipe, last modified Thu Feb 16 17:59:00 2023
# ------------------------------------------------

package:
  name: ipython
  version: 8.10.0
source:
  sha256: b13a1d6c1f5818bd388db53b7107d17454129a70de2b87481d555daede5eb49e
  url: https://pypi.io/packages/source/i/ipython/ipython-8.10.0.tar.gz
build:
  entry_points:
    - ipython = IPython:start_ipython
    - ipython3 = IPython:start_ipython
  number: '0'
  script: /Users/cbousseau/work/recipes/ci_py311/ipython_1677919789099/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
    -m pip install . -vv --no-deps
  script_env:
    - COV_THRESHOLD=50
    - MIGRATING=False
  string: py311hca03da5_0
requirements:
  host:
    - bzip2 1.0.8 h620ffc9_4
    - ca-certificates 2023.01.10 hca03da5_0
    - certifi 2022.12.7 py311hca03da5_0
    - libffi 3.4.2 hca03da5_6
    - ncurses 6.4 h313beb8_0
    - openssl 1.1.1t h1a28f6b_0
    - pip 22.3.1 py311hca03da5_0
    - python 3.11.0 hc0d8a6c_2
    - readline 8.2 h1a28f6b_0
    - setuptools 65.5.0 py311hca03da5_0
    - sqlite 3.40.1 h7a7dc30_0
    - tk 8.6.12 hb8d0fd4_0
    - tzdata 2022g h04d1e81_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.10 h80987f9_1
    - zlib 1.2.13 h5a0b063_0
  run:
    - appnope
    - backcall
    - decorator
    - jedi >=0.16
    - matplotlib-inline
    - pexpect >4.3
    - pickleshare
    - prompt-toolkit >3.0.30,<3.1.0
    - pygments >=2.4.0
    - python >=3.11,<3.12.0a0
    - stack_data
    - traitlets >=5
test:
  commands:
    - pip check
    - pygmentize -L | grep ipython
    - ipython -h
    - ipython3 -h
  requires:
    - black
    - curio
    - matplotlib-base !=3.2.0
    - nbformat
    - numpy >=1.20
    - pandas
    - pip
    - pygments
    - pytest <7.1
    - pytest-asyncio
    - pytest-cov
    - testpath
    - trio
about:
  description: 'IPython provides a rich architecture for interactive computing with

    a powerful interactive shell, a kernel for Jupyter, high performance

    tools for parallel computing, and more.

    '
  dev_url: https://github.com/ipython/ipython
  doc_url: https://ipython.readthedocs.io
  home: https://ipython.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: 'IPython: Productive Interactive Computing'
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - Carreau
    - blink1073
    - bollwyvl
    - ellisonbg
    - fperez
    - jakirkham
    - minrk
    - ocefpaf
    - pelson
    - takluyver
